Package twisted :: Package protocols :: Module wire :: Class Who |
[show private | hide private]
[frames | no frames]

## Class Who

    BaseProtocol --+
                   |
            Protocol --+
                       |
                      Who

Return list of active users (RFC 866)

Method Summary
| ``connectionFailed`(self)` (Deprecated) (inherited from `Protocol`)
| ``connectionLost`(self, reason)` Called when the connection is shut down. (inherited from `Protocol`)
| ``connectionMade`(self)` Called when a connection is made.
| ``dataReceived`(self, data)` Called whenever data is received. (inherited from `Protocol`)
| ``getUsers`(self)` Return active users.

Method Details

### connectionMade(self) Called when a connection is made. This may be considered the initializer of the protocol, because it is called when the connection is completed. For clients, this is called once the connection to the server has been established; for servers, this is called after an accept() call stops blocking and a socket has been received. If you need to send any greeting or initial message, do it here. Overrides: `twisted.internet.protocol.BaseProtocol.connectionMade` (inherited documentation)

### getUsers(self) Return active users. Override in subclasses.

Generated by Epydoc 1.1 on Thu May 8 13:16:48 2003 | http://epydoc.sf.net